<?xml version="1.0" encoding="utf-8"?>
<creole>
    <files>
        <file filelist='taskfreak' name='/usr/share/eole/db/taskfreak/gen/taskfreak-create.sql' rm='True' mkdir='True'/>
        <file filelist='taskfreak' name='/etc/eole/eole-db.d/taskfreak-db.yml' rm='True' mkdir='True'/>
    </files>
    
    <containers>
        <container name='web'>
            <package>taskfreak-apps</package>
            <file filelist='taskfreak' name='/etc/apache2/sites-available/taskfreak' source='taskfreak-apache.conf'/>
            <file filelist='taskfreak' name='/var/www/html/taskfreak/include/config.php' source='taskfreak-config.php' rm='True'/>
            <service method="apache" servicelist="taskfreak">taskfreak</service>
        </container>
    </containers>
    
    <variables>
        <family name='applications web'>
            <variable name='activer_taskfreak' type='oui/non' description='Activer Taskfreak (gestionnaire de tâches)'>
                <value>oui</value>
            </variable>
        </family>
        <family name='taskfreak' mode='expert'>
            <variable name='tf_db_mode' type='string' description='Serveur de bases de données à utiliser'/>
            <variable type='string' name='tf_dbserver' description='Adresse du serveur de base de données'/>
            <variable type='number' name='tf_dbport' description="Port d'écoute du serveur de base de données"/>
            <variable type='string' name='tf_allow_hosts' description="Hôtes authorisés à utiliser la base de données" multi='True'/>
            <variable type='string' name='tf_dbuser' description='Utilisateur du serveur de base de données'/>
            <variable type='string' name='tf_dbpass' description='Fichier de mot de passe du serveur'/>
        </family>
    </variables>
    
    <constraints>
        <condition name='disabled_if_in' source='activer_eoledb'>
            <param>non</param>
            <target type='variable'>activer_taskfreak</target>
        </condition>
        <condition name='hidden_if_in' source='activer_taskfreak'>
            <param>non</param>
            <target type='filelist'>taskfreak</target>
            <target type='servicelist'>taskfreak</target>
        </condition>
        <check name='valid_enum' target='tf_db_mode'>
            <param>['default', 'externe', 'local']</param>
        </check>
        <condition name='disabled_if_in' source='tf_db_mode'>
            <param>local</param>
            <target type='variable'>tf_dbserver</target>
            <target type='variable'>tf_dbuser</target>
            <target type='variable'>tf_dbport</target>
            <target type='variable'>tf_dbpass</target>
        </condition>
        <condition name='disabled_if_in' source='tf_db_mode'>
            <param>default</param>
            <target type='variable'>tf_dbserver</target>
            <target type='variable'>tf_dbuser</target>
            <target type='variable'>tf_dbport</target>
            <target type='variable'>tf_dbpass</target>
            <target type='variable'>tf_allow_hosts</target>
        </condition>
    </constraints>
    
    <help>
        <variable name='activer_taskfreak'>Taskfreak est une gestionnaire de projet en ligne qui permet de créer des tâches au sein d’une interface simplissime et ergonomique</variable>
    </help>
</creole>
